Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | List of all members
FlexibleField< T > Class Template Reference

A base class for dealing with flexible types with multiple reference methods. More...

Inheritance diagram for FlexibleField< T >:

## Public Member Functions
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Protected Attributes
T | _Value = default(T)
| Constant value More...
AnyParameterReference | _Parameter = new AnyParameterReference()
| Parameter reference More...
InputSlotAny | _Slot = new InputSlotAny()
| Data input slot More...
Protected Attributes inherited from FlexibleFieldBase
FlexibleType | _Type = FlexibleType.Constant
| Specified type of value More...

## Properties
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...
Properties inherited from FlexibleFieldBase
FlexibleType | type`[get]`
| It returns a type More...
abstract System.Type | fieldType`[get]`
| It returns a field type. More...

## Detailed Description

A base class for dealing with flexible types with multiple reference methods.

To use it, inherit T by specifying a user-defined class.

Template Parameters

  T | Serializable type

## Constructor & Destructor Documentation

## ◆ FlexibleField() [1/4]

FlexibleField | ( |  | ) |

FlexibleField default constructor

## ◆ FlexibleField() [2/4]

FlexibleField | ( | T | value | ) |

FlexibleField constructor

Parameters

  value | Value

## ◆ FlexibleField() [3/4]

FlexibleField | ( | AnyParameterReference | parameter | ) |

FlexibleField constructor

Parameters

  parameter | Parameter

## ◆ FlexibleField() [4/4]

FlexibleField | ( | InputSlotAny | slot | ) |

FlexibleField constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

Return the value as object.

Returns
  The value object

Implements FlexibleFieldBase.

## ◆ operator FlexibleField< T >()

static operator FlexibleField< T > | ( | T | value | ) |
| explicit static

Cast T to FlexibleField.

Parameters

  value | T

## ◆ operator T()

static operator T | ( | FlexibleField< T > | flexible | ) |
| explicit static

Cast FlexibleField to T.

Parameters

  flexible | FlexibleField

## Member Data Documentation

## ◆ _Parameter

AnyParameterReference _Parameter = new AnyParameterReference()
| protected

Parameter reference

## ◆ _Slot

InputSlotAny _Slot = new InputSlotAny()
| protected

Data input slot

## ◆ _Value

T _Value = default(T)
| protected

Constant value

## Property Documentation

## ◆ fieldType

override System.Type fieldType
| get

It returns a field type.

## ◆ parameter

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

## ◆ value

T value
| get

It returns a value